Subject: bug#56530: 29.0.50; mouse-2 cut selected text when cua-mode is enabled

From: Juri Linkov <[email-masked]>
Date: Wed, 13 Jul 2022 22:14:44 +0300

>> AFAICT, the recipe produces what I had in my mind when I proposed.  The
>> behaviour might seems slightly odd since mouse-yank-at-point is set to
>> nil in OP's case.  It shouldn't be hard to take this defcustom into
>> account tho.
>
> I think that neither Emacs nor `cua-mode' should behave differently from
> other X programs in this regard, certainly not by default.  Could we
> please avoid that?  The entire point of `cua-mode' is to be /more/ like
> other software, not less.

I'd like to know what programs do you mean.  In every program I see
the same behavior:

1. Select a region
2. Choose "Copy" from the context menu
3. Select another region
4. Choose "Paste" on the region from the context menu

It always deletes the region before pasting the text from the clipboard.